Skip to content
Shortcut: /, ⌘K or Ctrl+K

Pairing

View as Markdown

Get QR code

GET/messaging/{session}/pair/qrMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
sessions:manage

Direct-pairing access must be enabled for the team that owns this Number. Use QuickLink when direct pairing is unavailable. Requests without access return 403.

Direct-pairing access

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Query parameters

  • formatstring

    Specifies format for this query parameter.

    Allowed valuesjsonimage
    Default "json"

Responses

  • 200QR code data
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 2 child fields
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Direct-pairing access is required for this Number. Use QuickLink when it is unavailable.
  • 404Resource not found
  • 500Internal server error
GET /messaging/{session}/pair/qrcURL
Not available with the Test key. Use a team key or project token.
curl "https://api.polymorfa.com/messaging/<session>/pair/qr" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22"
Response
{
  "success": true,
  "data": {
    "qr": "string",
    "event": "string"
  }
}

Request pair code

POST/messaging/{session}/pair/codeMessaging APILinked Device API
Base URL
https://api.polymorfa.com
Required permission
sessions:manage

Direct-pairing access must be enabled for the team that owns this Number. Use QuickLink when direct pairing is unavailable. Requests without access return 403.

Direct-pairing access

Path parameters

  • sessionstringrequired

    Identifier of the connected Polymorfa session.

Body

  • phonestringrequiredmin length1

    Phone number in international format.

Responses

  • 200Pairing code issued
    • successbooleanrequired

      Whether the request succeeded.

      Allowed valuestrue
    • dataobjectrequired

      Structured data carried by this object.

      Show 1 child field
    Show 3 headers
  • 400Bad request — request body or params failed validation
  • 401Missing or invalid authentication token
  • 403Direct-pairing access is required for this Number. Use QuickLink when it is unavailable.
  • 404Resource not found
  • 500Internal server error
POST /messaging/{session}/pair/codecURL
Not available with the Test key. Use a team key or project token.
curl -X POST "https://api.polymorfa.com/messaging/<session>/pair/code" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Polymorfa-Version: 2026-09-22" \
  -H "Content-Type: application/json" \
  -d '{
  "phone": "string"
}'
Response
{
  "success": true,
  "data": {
    "code": "string"
  }
}